Page MenuHomePhabricator

PDF discussion summarised: Tell the community
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality#Update_After_Consultation

We have summarised the feedback we've got from having a banner on the page where you create PDFs for a while.

We should tell the community about this, as well as backend decisions. We're waiting for the decision on the latter, in order to not spam folks twice with related information.

Event Timeline

Johan created this task.Jul 5 2017, 11:17 AM
Johan moved this task from Backlog to July on the Community-Relations-Support (Jul-Sep 2017) board.
Johan moved this task from Backlog to Do soon on the User-Johan board.Jul 26 2017, 3:22 AM
Johan added a comment.Sep 6 2017, 11:50 AM

https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality updated.

We will

  • Change the banners on the Special: page for PDF creation – that way it'll reach the specific target audience, without being annoying for the majority of Wikimedia editors who don't have strong opinions on PDFs
  • Include it in Tech/News
  • Write on wikitech-l, potentially some other mailing lists
Elitre awarded a token.Sep 7 2017, 4:45 PM
Johan moved this task from Do soon to Do now on the User-Johan board.Sep 12 2017, 10:12 PM
Johan added a comment.Sep 13 2017, 3:53 AM

The banner has been updated this week.

Addendum: Update the Wikivoyages too, they care about PDF rendering to a larger degree than e.g. the Wikipedias or Wiktionaries.

Wikivoyages (except fa, where the talk page seemed completely dead) on the global distribution list updated. Translated if translation could be stolen from Tech News 2017/37, in English otherwise, except for the Germans who'll have to live with my German.

... and since there was a problen with the books function, now updated, in English, German or Swedish.

Johan closed this task as Resolved.Sep 27 2017, 10:16 PM

The communities have been made aware (see above). The temporary disabling of the books to PDF functionality is really a separate question, and should have its own ticket.

Qgil awarded a token.Sep 29 2017, 9:23 AM
Johan moved this task from Do now to Archive on the User-Johan board.Jan 10 2018, 4:31 PM